import { h, FunctionalComponent } from "preact";
import type { ManifestEntry } from "./utils/build";
export declare const __DocContext: import("preact").Context<{
    head: {
        current: any[];
    };
}>;
export declare const Document: FunctionalComponent<{
    manifest?: ManifestEntry;
    preload?: string[];
    preconnect?: string[];
    debug?: boolean;
    hasGlobalScript?: boolean;
}>;
export declare const Head: () => h.JSX.Element;
